Support matrix for Data Hub upgrades

Data Hub upgrades are supported only for the templates and Runtime versions listed below.

Template Platform versions that you can upgrade from Platform versions that you can upgrade to
DE, DE HA, DE Spark3 7.1.0 and above 7.2.11 and above
Operational Database 7.2.0 and above 7.2.11 and above
Streams Messaging 7.2.0 and above 7.2.11 and above
Flow Management 7.2.0 and above 7.2.11 and above
Data Discovery 7.2.0 and above 7.2.11 and above
Datamart 7.2.2 and above 7.2.11 and above
Real-Time Datamart 7.2.2 and above 7.2.11 and above
Streaming Analytics Not supported
Data Catalog Not supported. Use backup and restore
COD 7.2.7 and above 7.2.11 and above

Ranger Authorization (RAZ) Upgrades

Major/minor version upgrades with RAZ are supported only for Runtime versions 7.2.10-7.2.12 to 7.2.14+.

Maintenance Upgrades

Data Hub maintenance upgrades, both RAZ and non-RAZ, are supported only for Runtime versions 7.2.7+.